using System.ComponentModel;

namespace Hotline.Share.Enums.Order
{
    public enum EDelayState
    {
        /// <summary>
        /// 审批中
        /// </summary>
        [Description("审批中")]
        Examining = 0,

        /// <summary>
        /// 通过
        /// </summary>
        [Description("通过")]
        Pass = 1,

        /// <summary>
        /// 拒绝
        /// </summary>
        [Description("拒绝")]
        NoPass = 2,

        /// <summary>
        /// 撤销
        /// </summary>
        [Description("撤销")]
        Withdraw = 3,

        /// <summary>
        /// 批量审批处理中
        /// </summary>
        [Description("批量处理中")]
        BatchProcessing = 9,
    }

    public enum EDelayApplyType
    {
        [Description("本地审批")]
        LocalApply = 0,

        [Description("省审批")]
        ProvinceApply = 1,
    }
}
